POST
/v1/auth/password/resetAuthorization
Descope Project ID AuthorizationBearer <token>
Project ID as bearer token.
In: header
Request Body
application/json
loginId?string
redirectUrl?string
providerId?string
templateOptions?object
locale?string
useRecovery?boolean
Sent a password reset email to an existing user utilizing the password API.
Next Steps
You will then need to verify the user after the password reset is sent via email, this would need to be done via Verify Magic Link.
See Also
- See The User Object for further details on how to identify users and their contact information such as email addresses and phone number.
- You can also utilize Update Password or Replace Password as alternatives to change a user's password.
curl -X POST "https://api.descope.com/v1/auth/password/reset" \ -H "Content-Type: application/json" \ -d '{}'{ "resetMethod": "string", "pendingRef": "string", "linkId": "string", "maskedEmail": "string"}export interface Response {resetMethod?: stringpendingRef?: stringlinkId?: stringmaskedEmail?: string} Was this helpful?